diff -ruN -x configure -x *~ -x ircd-hybrid-6b124.orig -x *.rej ircd-hybrid-6b124.orig/src/s_user.c ircd-hybrid-6b124/src/s_user.c
--- ircd-hybrid-6b124.orig/src/s_user.c	Sat Apr 29 22:57:21 2000
+++ ircd-hybrid-6b124/src/s_user.c	Sat Apr 29 22:57:02 2000
@@ -59,7 +59,7 @@
 #include <assert.h>
 #include <time.h>
 #include <sys/stat.h>
-
+#include <ctype.h>
 
 #ifdef PACE_WALLOPS
 time_t LastUsedWallops = 0;
@@ -700,7 +700,7 @@
         {
           if(IsBlined(sptr))
             {
-              sendto_realops_flags(FLAGS_BOTS,
+              sendto_ops_flags_butone(NULL, FLAGS_BOTS,
                                  "Possible %s: %s (%s@%s) [B-lined]",
                                  type_of_bot[sptr->isbot],
                                  sptr->name, sptr->username, sptr->host);
@@ -752,7 +752,7 @@
                   return exit_client(cptr, sptr, &me, "Bad user info");
                 }
               else
-                sendto_realops_flags(FLAGS_REJ,
+                sendto_ops_flags_butone(NULL, FLAGS_REJ,
                                    "X-line Warning [%s] [%s], user %s",
                                    sptr->info,
                                    reason,
@@ -802,6 +802,12 @@
     }
   add_client_to_llist(&(sptr->servptr->serv->users), sptr);
 
+  if (MyConnect(sptr) && (sptr->username[0] == '~' || isdigit(sptr->host[0])))
+    sendto_ops_flags_butone(NULL, FLAGS_CCONN,
+                            "Auth warning on %s (%s@%s) %s%s",
+                            sptr->name, sptr->username, sptr->host,
+                            (sptr->username[0] == '~') ? "[ident fail] " : "",
+                            (isdigit(sptr->host[0])) ? "[dns fail] " : "");
 /* Increment our total user count here */
   if (++Count.total > Count.max_tot)
     Count.max_tot = Count.total;
